import { request } from '@/utils/request.js';

// customer-manage
export const customerListApi = (data) =>
  request({
    url: '/api/system/customer/list',
    data,
  });
export const customerEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/system/customer/edit',
      data,
    });
  } else {
    return request({
      url: '/api/system/customer/add',
      data,
    });
  }
};
export const customerDeleteApi = (id) =>
  request({
    url: '/api/system/customer/delete',
    data: { id },
  });

// supplier-manage
export const supplierListApi = (data) =>
  request({
    url: '/api/system/supplier/list',
    data,
  });
export const supplierEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/system/supplier/edit',
      data,
    });
  } else {
    return request({
      url: '/api/system/supplier/add',
      data,
    });
  }
};
export const supplierEnableApi = ({ id, enable }) =>
  request({
    url: '/api/system/supplier/enable',
    data: { id, enable },
  });

// device-manage
export const deviceListApi = (data) =>
  request({
    url: '/api/system/device/list',
    data,
  });
export const deviceEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/system/device/edit',
      data,
    });
  } else {
    return request({
      url: '/api/system/device/add',
      data,
    });
  }
};
export const deviceDestroyApi = (id) =>
  request({
    url: '/api/system/device/destroy',
    data: { id },
  });

// service-level-manage
export const serviceLevelListApi = (data) =>
  request({
    url: '/api/system/service-level/list',
    data,
  });
export const serviceLevelEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/system/service-level/edit',
      data,
    });
  } else {
    return request({
      url: '/api/system/service-level/add',
      data,
    });
  }
};
export const serviceLevelDeleteApi = (id) =>
  request({
    url: '/api/system/service-level/delete',
    data: { id },
  });

// checkin-manage
export const checkinListApi = (data) =>
  request({
    url: '/api/system/checkin/list',
    data,
  });
export const checkinEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/system/checkin/edit',
      data,
    });
  } else {
    return request({
      url: '/api/system/checkin/add',
      data,
    });
  }
};
export const checkinDeleteApi = (id) =>
  request({
    url: '/api/system/checkin/delete',
    data: { id },
  });

// log-manage
export const logListApi = (data) =>
  request({
    url: '/api/system/log/list',
    data,
  });

// notice-manage
export const noticeListApi = (data) =>
  request({
    url: '/api/system/notice/list',
    data,
  });
export const noticeEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/system/notice/edit',
      data,
    });
  } else {
    return request({
      url: '/api/system/notice/add',
      data,
    });
  }
};
export const noticePublishApi = (id) =>
  request({
    url: '/api/system/notice/publish',
    data: { id },
  });
export const noticeCancelPublishApi = (id) =>
  request({
    url: '/api/system/notice/cancel-publish',
    data: { id },
  });
export const noticeDestroyApi = (id) =>
  request({
    url: '/api/system/notice/destroy',
    data: { id },
  });
