import Mock from 'mockjs';

const getListTemplate = (fields) => {
  let item = {};
  Object.keys(fields).forEach((k, index) => {
    const n = (index % 10) + '';
    item[`${k}|1-3`] = n.repeat(2);
  });

  return {
    'list|10': [
      {
        'id|+1': 1,
        ...item,
      },
    ],
    'total': 80,
  };
};

// system customer manage
export const customerListApi = Mock.mock(
  '/api/system/customer/list',
  'post',
  getListTemplate({
    name: '1122',
    type: '333',
    province: '4',
    city: '5',
    area: '6',
    address: '7',
    manager: '8',
    serviceName: '9',
    roles: '10',
    k: 12,
    l: '12',
    m: '13',
  })
);
// supplier customer manage
export const supplierListApi = Mock.mock(
  '/api/system/supplier/list',
  'post',
  getListTemplate({
    code: '22',
    name: '33',
    type: '44',
    remark: '55',
    enable: true,
  })
);
// device customer manage
export const deviceListApi = Mock.mock(
  '/api/system/device/list',
  'post',
  getListTemplate({
    code: '22',
    serialNo: '33',
    brand: '44',
    buyTime: '55',
    supllier: '66',
    status: '77',
    location: '88',
    scanCount: '99',
  })
);
// service-level manage
export const serviceLevelListApi = Mock.mock(
  '/api/system/service-level/list',
  'post',
  getListTemplate({
    name: '11',
    businessType: '22',
    roles: [],
    creator: '44',
    createdTime: '',
  })
);
// checkin customer manage
export const checkinListApi = Mock.mock(
  '/api/system/checkin/list',
  'post',
  getListTemplate({
    unit: '11',
    status: '22',
    name: '33',
    to: [],
    supplier: '44',
    checkinTime: [55],
    checkoutTime: [66],
    auditRoles: [77],
    openFace: false,
    backupCount: 2,
  })
);
